# Accounts v2 の承認された会社の代表者に証明する機能を追加 ## 新機能 Stripe アカウントの権限を持つ担当者による証明は、[Accounts v2](https://docs.stripe.com/api/accounts/object.md?api-version=2025-10-29.clover) の使用時に [identity.attestations](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations) に以下のパラメーターを指定することで記録できるようになりました: - [representative_declaration.ip](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations-representative_declaration-ip): 証明の発信元 IP アドレス - 証明の日付の [representative_declaration.date](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations-representative_declaration-date) - 証明に使用されるユーザーエージェントの [representative_declaration.user_agent](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations-representative_declaration-user_agent) ## 影響 代表者とは、Stripe アカウントを管理するためにビジネスによって指定された唯一の人物です。代表者は、[identity.individual.relationship.representative](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-individual-relationship-representative) フィールドを設定することで識別されます。 一部の国では、Stripe は代表者の情報を収集し、政府の記録と一致していることを確認する必要があります。アカウントを作成する際には、アカウントの管理責任者を代表者に設定する必要があります。 会社の代表者の証明を必要とするアカウントの [requirements](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-requirements) フィールドには、`identity.attestations.representatives_declaration.ip` と `identity.attestations.representatives_declaration.date` が表示されます。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTED_STRIPE_ACCOUNT_ID}}/ \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "include": [ "identity" ], "identity": { "attestations": { "representative_declaration": { "ip": "67.180.161.149", "date": 1737936000, "user_agent": "Mozilla/5.0 (platform; rv:gecko-version) Gecko/gecko-trail Firefox/firefox-version" } } } }' ``` ## 変更点 #### REST API | Parameter | Change | Resources or endpoints | | ---------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `representative_declaration` | Added | [V2.Core.Account#create.identity.attestations](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations), [V2.Core.Account#update.identity.attestations](/api/v2/core/accounts/update?api-version=2025-10-29.preview#v2_update_accounts-identity-attestations), [V2.Core.Account.identity.attestations](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations) | #### Ruby | Parameter | Change | Resources or methods | | ---------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `representative_declaration` | Added | [V2::Core::Account::CreateParams::Identity::Attestation](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations), [V2::Core::Account::Identity::Attestation](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [V2::Core::Account::UpdateParams::Identity::Attestation](/api/v2/core/accounts/update?api-version=2025-10-29.preview#v2_update_accounts-identity-attestations) | #### Python | Parameter | Change | Resources or methods | | ---------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `representative_declaration` | Added | [V2.Core.Account.Identity.Attestation](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [v2.core.Account.CreateParamsIdentityAttestation](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations), [v2.core.Account.ModifyParamsIdentityAttestation](/api/v2/core/accounts/update?api-version=2025-10-29.preview#v2_update_accounts-identity-attestations) | #### PHP | Parameter | Change | Resources or methods | | ---------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `representative_declaration` | Added | [V2.Core.Account.identity.attestations](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [V2\Core\Account.create().$params.identity.attestation](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations), [V2\Core\Account.update().$params.identity.attestation](/api/v2/core/accounts/update?api-version=2025-10-29.preview#v2_update_accounts-identity-attestations) | #### Java | Parameter | Change | Resources or methods | | --------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | `representativeDeclaration` | Added | [v2.core.Account.identity.attestations](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [v2.core.AccountCreateParams.identity.attestations](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations), [v2.core.AccountUpdateParams.identity.attestations](/api/v2/core/accounts/update?api-version=2025-10-29.preview#v2_update_accounts-identity-attestations) | #### Node.js | Parameter | Change | Resources or methods | | ---------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | `representative_declaration` | Added | [V2.Core.Account.identity.attestations](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [V2.Core.AccountCreateParams.identity.attestations](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations), [V2.Core.AccountUpdateParams.identity.attestations](/api/v2/core/accounts/update?api-version=2025-10-29.preview#v2_update_accounts-identity-attestations) | #### Go | Parameter | Change | Resources or methods | | --------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `RepresentativeDeclaration` | Added | [V2CoreAccountIdentityAttestations](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [V2CoreAccountIdentityAttestationsParams](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations) | #### .NET | Parameter | Change | Resources or methods | | --------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `RepresentativeDeclaration` | Added | [V2.Core.Account.Identity.Attestations](/api/v2/core/accounts/object?api-version=2025-10-29.preview#v2_account_object-identity-attestations), [V2CoreAccountIdentityAttestationsOptions](/api/v2/core/accounts/create?api-version=2025-10-29.preview#v2_create_accounts-identity-attestations) | ## アップグレード #### REST API 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. SDK を使用している場合は、この API バージョンに対応する SDK バージョンにアップグレードします。 - SDK を使用していない場合は、`Stripe-Version: 2025-10-29.preview` を含めるように [API リクエスト](https://docs.stripe.com/api/versioning.md)を更新してください。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### Ruby 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. Ruby SDK を [v17.2.0-beta.1](https://github.com/stripe/stripe-ruby/releases/tag/v17.2.0-beta.1)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### Python 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. Python SDK を [v13.2.0b1](https://github.com/stripe/stripe-python/releases/tag/v13.2.0b1)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### PHP 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. PHP SDK を [v18.2.0-beta.1](https://github.com/stripe/stripe-php/releases/tag/v18.2.0-beta.1)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### Java 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. Java SDK を [v30.2.0-beta.1](https://github.com/stripe/stripe-java/releases/tag/v30.2.0-beta.1)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### Node.js 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. Node SDK を [v19.3.0-beta.1](https://github.com/stripe/stripe-node/releases/tag/v19.3.0-beta.1)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### Go 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. Go SDK を [v83.1.0-beta.3](https://github.com/stripe/stripe-go/releases/tag/v83.1.0-beta.3)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 #### .NET 1. Workbench で[現在の API バージョンを表示します](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench)。 1. .NET SDK を [v49.2.0-beta.1](https://github.com/stripe/stripe-dotnet/releases/tag/v49.2.0-beta.1)にアップグレードします。 1. [Webhook エンドポイント](https://docs.stripe.com/webhooks/versioning.md)に使用する API バージョンをアップグレードします。 1. 新しいバージョンに対して、[実装内容をテスト](https://docs.stripe.com/testing.md)します。 1. Connect を使用する場合は、[Connect の実装内容をテスト](https://docs.stripe.com/connect/testing.md)します。 1. Workbench で[アップグレードを実行](https://docs.stripe.com/upgrades.md#perform-the-upgrade)します。[バージョンをロールバック](https://docs.stripe.com/upgrades.md#roll-back-your-api-version)できるのは 72 時間以内です。 [Stripe API のアップグレード](https://docs.stripe.com/upgrades.md)について、詳細をご確認ください。 ## 関連する変更 - [連結アカウントの確認データが不足している場合の新しいエラーコードを追加しました](https://docs.stripe.com/changelog/clover/2025-10-29/accounts-verification-data-error.md) - [Stripe Tax 納税地での Accounts v2 決済手段の請求詳細の使用のサポートを追加](https://docs.stripe.com/changelog/clover/2025-10-29/payment-method-location-source.md) - [クローズされた v2 アカウントの取得と一覧表示のサポートを追加](https://docs.stripe.com/changelog/clover/2025-10-29/return-closed-v2-accounts.md)